Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
ketxu

[Đã xong] Nhờ chỉnh sửa lisp TEXT rtt

Các bài được khuyến nghị

ketxu    2.652

Bác KETXU ơi làm ơn sửa lisp này giúp mình với.

sau một thời gian sử dụng thì mình thấy hơi bất tiện nên đành phải nhờ bạn lần nữa.

vấn đề là khi text của mình hợp với phương ngang 1 góc khác 0 thì khi sử dụng lệnh nó lại quay theo một góc không đúng theo ý mình. bạn có thể sửa sao cho phương của text là trùng với phương của 2 điểm pick. cám ơn bạn, ngại quá.

Bạn thử xem :

(defun c:rtt(/ ss sst ent)
(setq ss (ssadd))
(while (or 
(= (setq sst (acet-list-to-ss (vl-remove-if '(lambda(x)  (null (wcmatch (acet-dxf 0 (entget x)) "*TEXT")))  (acet-ss-to-list ss)))) nil)
(>(sslength sst) 1))
(Prompt "\nXin h\U+00E3y ch\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng :")
   (setq ss (ssget))
) 
   (command ".rotate" ss "" (acet-dxf 10 (setq ent(entget(ssname sst 0)))) (acet-rtod (- (getangle "\nG\U+00F3c quay :") (acet-dxf 50 ent))))
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thử xem :

(defun c:rtt(/ ss sst ent)
(setq ss (ssadd))
(while (or 
(= (setq sst (acet-list-to-ss (vl-remove-if '(lambda(x)  (null (wcmatch (acet-dxf 0 (entget x)) "*TEXT")))  (acet-ss-to-list ss)))) nil)
(>(sslength sst) 1))
(Prompt "\nXin h\U+00E3y ch\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng :")
   (setq ss (ssget))
) 
   (command ".rotate" ss "" (acet-dxf 10 (setq ent(entget(ssname sst 0)))) (acet-rtod (- (getangle "\nG\U+00F3c quay :") (acet-dxf 50 ent))))
)

 

không còn ý kiến gì ngoài cám ơn bạn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×